Welcome Guest. Please Login or Register  


You are here: Index > Softaculous Inc. > News and Announcements > Topic : Softaculous 4.8.8 Released



Threaded Mode | Print  

 Softaculous 4.8.8 Released (6 Replies, Read 14746 times)
Brijesh
Group: Softaculous Team
Post Group: Super Member
Posts: 3918
Status:
Hi,

The Softaculous Team has released Softaculous 4.8.8

1) [Task] : On cPanel 11.62.0.x servers with EasyApache 4 enabled there is a bug in cPanel API causing the API call to detect PHP version selected for a domain to fail. Due to this all the APIs calls to cPanel (eg: creating database) failed. Due to this users were not able to install scripts via Softaculous. We have made a temporary workaround to skip the requirements check for such servers so that users are able to install scripts.

We have received a confirmation from cPanel team that this is a bug in cPanel API and once they fix bug we will enable the PHP version detection for cPanel servers with EasyApache 4 again.


Softaculous is an auto installer which supports cPanel, Plesk, DirectAdmin, Interworx, CentOS Web Panel, ISPmanager ISPConfig and Softaculous Remote/Enterprise for proprietary control panels. We are adding more features and if you have any suggestions, do let us know. We hope you enjoy this version of Softaculous.

Regards,
The Softaculous Team

-----------------------
SitePad Website Builder
Follow us on Twitter
IP: --   

Softaculous 4.8.8 Released
Crystalblueseas
Group: Member
Post Group: Newbie
Posts: 1
Status:

Seeking Knowledge
Is the version for Vesta Cpanel released? How do I install it?
Thanks

-----------------------
Crystalblueseas
IP: --   

Softaculous 4.8.8 Released
aakash_softac
Group: Softaculous Team
Post Group: Working Member
Posts: 207
Status:
Quote From : Crystalblueseas April 20, 2017, 10:09 am
Is the version for Vesta Cpanel released? How do I install it?
Thanks


Hi,

We have integrated Softaculous for VestaCP but there is no official word from VestaCP team about the integration of Softaculous with the Panel so it might be possible you might face some issue.

If you still want to install Softaculous here is the command:
PHP Code

 wget -N http://files.softaculous.com/install.sh
chmod 755 install.sh
./install.sh --quick 



Also you after install you can access Softaculous through
https://yourdomain.com:8083/softaculous/

Do let us know if you face any issue.


-----------------------
Aakash Gupta
SitePad Developer

Follow us for faster updates
Twitter: https://twitter.com/sitepad_editor
Facebook: https://facebook.com/SitePad
IP: --   

Softaculous 4.8.8 Released
BernardStreet
Group: Member
Post Group: Newbie
Posts: 2
Status:
Hey guys,

Thanks for this great tip. I'm working on installing Softaculous on current Vestacp and Centos 7. Install has been successful, however when I navigate to:

https://yourdomain.com:8083/softaculous/

I'm getting the following error:

Site error: the ionCube PHP Loader needs to be installed. This is a widely used PHP extension for running ionCube protected PHP code, website security and malware blocking. Please visit get-loader.ioncube.com for install assistance.

Ioncube is installed and appears to be working correctly. Have you come across this error at all, or do you think this could be on the Vestacp side of things?

Thanks in advance for your time.

With regards,
IP: --   

Softaculous 4.8.8 Released
Brijesh
Group: Softaculous Team
Post Group: Super Member
Posts: 3918
Status:
Hi,

Softaculous runs on the following PHP binary in VestaCP :
/usr/local/vesta/php/bin/php

Can you please check if ioncube is enabled in this PHP binary ?

Also Softaculous will need mysqli, curl, mbstring, zlib, posix and json.

Please make sure these extensions are also enabled.

-----------------------
SitePad Website Builder
Follow us on Twitter
IP: --   

Softaculous 4.8.8 Released
BernardStreet
Group: Member
Post Group: Newbie
Posts: 2
Status:
Hi Softaculous,

Thanks for your response. I'm confident all extensions are enabled. However I'm not sure how to check if ioncube is enabled in the /usr/local/vesta/php/bin/php.

I've made various attempts but haven't found a solution just yet. Is there any chance you could you point me in the right direction how to add the appropriate zend-extension to /usr/local/vesta/php/bin/php?

Cheers,

IP: --   

Softaculous 4.8.8 Released
Brijesh
Group: Softaculous Team
Post Group: Super Member
Posts: 3918
Status:
Hi,

Can you please provide the output of the following command on your server :
/usr/local/vesta/php/bin/php -m

If you can open a support ticket with us we can check this for you.

-----------------------
SitePad Website Builder
Follow us on Twitter
IP: --   

« Previous    Next »

Threaded Mode | Print  



Jump To :


Users viewing this topic
1 guests, 0 users.


All times are GMT. The time now is June 24, 2018, 8:34 pm.

  Powered By AEF 1.0.8 © 2007-2008 Electron Inc.Queries: 11  |  Page Created In:0.196